summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Andrey Maraev2012-06-26 04:19:56 +0200
committer dsomero2012-06-26 04:19:56 +0200
commit5ab8972315a98ba92cd03ce267fefd183c4004b3 (patch)
treeb8397fa94972be4e0f6b7a52e092ccbe686062fe /office
parentc4b2dcda0cf61d95c191b832c05d52ae5695e0b7 (diff)
downloadslackbuilds-5ab8972315a98ba92cd03ce267fefd183c4004b3.tar.gz
office/mytetra: Added (personal manager for information)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/mytetra/README16
-rw-r--r--office/mytetra/doinst.sh10
-rw-r--r--office/mytetra/mytetra.SlackBuild76
-rw-r--r--office/mytetra/mytetra.info10
-rw-r--r--office/mytetra/slack-desc19
5 files changed, 131 insertions, 0 deletions
diff --git a/office/mytetra/README b/office/mytetra/README
new file mode 100644
index 0000000000..11d9379df1
--- /dev/null
+++ b/office/mytetra/README
@@ -0,0 +1,16 @@
+MyTetra is personal manager for information accumulation.
+It is powerful program for data memorization and structuring notes.
+
+Features:
+
+ Infinite ramify tree for notes group
+ Arbitrary sorted notes at his branch
+ Arbitrary sorted branches at parent branch
+ Copy/Paste for notes and branches
+ Clickable tags
+ Customizable trash for recovery lost data
+ WYSIWYG editor
+ Notes encryption by RC5-32/12/16 + PBKDF2
+ Synchronization over any cloud storage system
+ or version control system (i.e. Git on GitHub.com)
+ History navigation
diff --git a/office/mytetra/doinst.sh b/office/mytetra/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/office/mytetra/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/office/mytetra/mytetra.SlackBuild b/office/mytetra/mytetra.SlackBuild
new file mode 100644
index 0000000000..d1f191a8de
--- /dev/null
+++ b/office/mytetra/mytetra.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for mytetra
+
+# Written by Andrey Maraev <andrew.maraev60@yandex.ru>
+
+PRGNAM=mytetra
+VERSION=${VERSION:-1.30.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM\_1\_30\_1\_src.zip -d $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Correct target path in file mytetra.pro
+sed 's/\/usr\/local\/bin/\/usr\/bin/g' -i mytetra.pro
+
+qmake \
+ QMAKE_CFLAGS="$SLKCFLAGS" \
+ QMAKE_CXXFLAGS="$SLKCFLAGS"
+
+make
+make install INSTALL_ROOT=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ readme.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/mytetra/mytetra.info b/office/mytetra/mytetra.info
new file mode 100644
index 0000000000..cbc47acb2c
--- /dev/null
+++ b/office/mytetra/mytetra.info
@@ -0,0 +1,10 @@
+PRGNAM="mytetra"
+VERSION="1.30.1"
+HOMEPAGE="http://webhamster.ru/site/page/index/articles/projectcode/138"
+DOWNLOAD="http://webhamster.ru/db/data/articles/105/mytetra_1_30_1_src.zip"
+MD5SUM="3af1f0feacec645540c0857d57669fa1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Andrey Maraev"
+EMAIL="andrew.maraev60@yandex.ru"
+APPROVED="dsomero"
diff --git a/office/mytetra/slack-desc b/office/mytetra/slack-desc
new file mode 100644
index 0000000000..8861999fdf
--- /dev/null
+++ b/office/mytetra/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mytetra: mytetra (personal manager for information accumulation)
+mytetra:
+mytetra: It is powerful program for data memorization
+mytetra: and structuring notes.
+mytetra: Infinite ramify tree for notes group, WYSIWYG editor,
+mytetra: clickable tags, notes encryption by RC5-32/12/16 + PBKDF2
+mytetra: Synchronization over any cloud storage system
+mytetra: or version control system (i.e. Git on GitHub.com)
+mytetra:
+mytetra: HomePage
+mytetra: http://webhamster.ru/site/page/index/articles/projectcode/138